apiVersion: apps/v1
kind: DaemonSet
metadata:
  annotations:
    deprecated.daemonset.template.generation: "1"
  creationTimestamp: "2024-12-11T23:21:38Z"
  generation: 1
  labels:
    app: submariner-metrics-proxy
    component: metrics
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:deprecated.daemonset.template.generation: {}
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"664b97f0-21e4-4b46-b2f6-2dd3a747b13f"}: {}
      f:spec:
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:template:
          f:metadata:
            f:labels:
              .: {}
              f:app: {}
              f:component: {}
          f:spec:
            f:containers:
              k:{"name":"gateway-metrics-proxy"}:
                .: {}
                f:args: {}
                f:command: {}
                f:env:
                  .: {}
                  k:{"name":"NODE_IP"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
              k:{"name":"globalnet-metrics-proxy"}:
                .: {}
                f:args: {}
                f:command: {}
                f:env:
                  .: {}
                  k:{"name":"NODE_IP"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
            f:dnsPolicy: {}
            f:nodeSelector: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:terminationGracePeriodSeconds: {}
            f:tolerations: {}
        f:updateStrategy:
          f:rollingUpdate:
            .: {}
            f:maxSurge: {}
            f:maxUnavailable: {}
          f:type: {}
    manager: submariner-operator
    operation: Update
    time: "2024-12-11T23:21:38Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:currentNumberScheduled: {}
        f:desiredNumberScheduled: {}
        f:numberAvailable: {}
        f:numberReady: {}
        f:observedGeneration: {}
        f:updatedNumberScheduled: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:28Z"
  name: submariner-metrics-proxy
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: submariner.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: Submariner
    name: submariner
    uid: 664b97f0-21e4-4b46-b2f6-2dd3a747b13f
  resourceVersion: "80074632"
  uid: a9cad286-87cd-4dfd-bbb8-70e184ebcec6
spec:
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: submariner-metrics-proxy
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: submariner-metrics-proxy
        component: metrics
    spec:
      containers:
      - args:
        - "8080"
        - $(NODE_IP)
        - "32780"
        command:
        - /app/metricsproxy
        env:
        - name: NODE_IP
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.hostIP
        image: quay.io/submariner/nettest:0.19.0
        imagePullPolicy: IfNotPresent
        name: gateway-metrics-proxy
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      - args:
        - "8081"
        - $(NODE_IP)
        - "32781"
        command:
        - /app/metricsproxy
        env:
        - name: NODE_IP
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.hostIP
        image: quay.io/submariner/nettest:0.19.0
        imagePullPolicy: IfNotPresent
        name: globalnet-metrics-proxy
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      nodeSelector:
        submariner.io/gateway: "true"
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      tolerations:
      - operator: Exists
  updateStrategy:
    rollingUpdate:
      maxSurge: 0
      maxUnavailable: 1
    type: RollingUpdate
status:
  currentNumberScheduled: 1
  desiredNumberScheduled: 1
  numberAvailable: 1
  numberMisscheduled: 0
  numberReady: 1
  observedGeneration: 1
  updatedNumberScheduled: 1
